Subject: system init: if /etc doesn't exist, create it
From: ng0 <[email-masked]>
To: [email-masked]
Date: Tue, 30 May 2017 13:13:29 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I had the unfortunate experience of remote fixing a system,
and one way I tried to fix my original problem was to
remove the /etc directory (this included the content of
debian 8 with some alternative changes to the minimal
one I did not set up myself).
When I rebooted, this is still at activation of the first
system generation, I get the repl because the symlink
target does not exist (obviously).

We should think of such situations, however uncommon they are,
and check if /etc exists. If it doesn't exist create it
otherwise it is assumed that it exists and for example
this symlink creation will work: ssl -> /run/current-system/profile/etc/ssl

-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588